> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1pvttiers benefits



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Private%20APIs/swagger.json get /v1/pvt/Tiers/{tierId}/benefits
openapi: 3.0.0
info:
  title: BonifiQ Private APIs
  description: >-
    # Introduction 

    This is the BonifiQ Private APIs documentation. With these endpoints you can
    interact with BonifiQ systems and enhance your program points.


    # Limitations

    These endpoints are intended to be used in backend communication so they are
    not CORS-compatible and cannot be used by in-browser frontend libraries
    (such as React, Angular, Vue, jQuery, etc)


    If are required to call BonifiQ API from a browser, please refer to our
    [Public APIs](https://api.bonifiq.com.br/apidocs/public)


    # Authentication

    These Private APis use the [Basic
    Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)
    scheme. You need both an API Token (Username) and API Key (Password) to use
    with it


    You can generate this key pair in BonifiQ admin panel, at the "API Keys"
    menu.


    # How to use this page

    ## Making calls

    You can simulate, test and make calls to API from this Swagger page. To do
    that:

    - Click on the **Authorize** button

    - Inform the Username (API Token) and Passwoird (API Key) and click on
    **Authorize**

    - From the list bellow, choose an API call and click on **Try it out**

    - Inform the required parameters (if any) and click on **Execute**


    ## Verifying requests and responses bodies

    In every API Call there is an explanation of what each field means, theirs
    types and accepted values for all Requests and Responses.


    To view this information, just go to any API Call bellow and in the
    Responses section, click on the Schema.
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: POS
    description: >-
      Flow methods to integrate BonifiQ with a POS system. Check the Flow
      Documentation link on the right
    externalDocs:
      description: Flow Documentation
      url: >-
        https://suporte.bonifiq.com.br/support/solutions/articles/159000319538-integrar-com-pdv
  - name: Checkout
    description: Operations related to checkout cashback redeem, refresh and removal
  - name: Customization
    description: Retrieve customizations for the loyalty program
  - name: Rewards
    description: Interact with rewards already redeemed
paths:
  /v1/pvt/Tiers/{tierId}/benefits:
    get:
      tags:
        - Tiers
      operationId: Tiers_Benefits
      parameters:
        - name: tierId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                xml:
                  name: ArrayOfExternalApiTierBenefitResponse
                  wrapped: true
                items:
                  xml:
                    name: ExternalApiTierBenefitResponse
                  oneOf:
                    - $ref: '#/components/schemas/ExternalApiTierBenefitResponse'
      security:
        - Basic Authentication: []
components:
  schemas:
    ExternalApiTierBenefitResponse:
      type: object
      additionalProperties: false
      properties:
        Type:
          $ref: '#/components/schemas/TierBenefitType'
        TierId:
          type: integer
          format: int32
        Title:
          type: string
          nullable: true
        Details: {}
    TierBenefitType:
      type: integer
      description: |-
        0 = Cashback
        1 = Reward
        2 = Points
        3 = Text
      x-enumNames:
        - Cashback
        - Reward
        - Points
        - Text
      enum:
        - 0
        - 1
        - 2
        - 3
  securitySchemes:
    Basic Authentication:
      type: http
      description: Use API Basic Auth Keys
      name: Basic Authentication
      in: header
      scheme: basic

````